**Figure 9a:** Plot illustrating posterior on the fraction of binaries aligned and std dev of the BBH spin alignment distribution.

##### Data

This figure is created by reading posterior samples stored in:

* [../Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json)
* [default_random_cos_tilt_result.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Fig-9-ChiP-Zeta-SigmaT/default_random_cos_tilt_result.json)

##### Reading and plotting data

Relevant parameters can be accessed from the above file as follows:
```python
>>> import json
>>> with open(filename,"r") as jf:
...     samples = json.load(jf)
...
>>> samples["posterior"]["content"].keys()
dict_keys(['alpha', 'beta', 'mmax', 'mmin', 'mu_chi', 'sigma_chi', 'xi_spin', 'sigma_spin', 'lam', 'mpp', 'sigpp', 'delta_m', 'amax', 'lamb', 'log_likelihood', 'log_prior', 'selection', 'n_effective', 'surveyed_hypervolume', 'log_10_rate', 'rate'])

>>> zeta = samples['xi_spin']
>>> sigma_t = samples['sigma_spin']
```

**Figure 9b:** Comparison of recovered `chi_p` distributions using `Default` vs. `Gaussian` spin models

##### Data

Figure uses precomputed data stored in [Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/default-spin-xeff-xp-ppd-data.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/default-spin-xeff-xp-ppd-data.json) and [Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppd-data.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppd-data.json)

These files are, in turn, generated using the raw posterior samples from [Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json) and [Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json) using the following two ipython notebooks:
* https://git.ligo.org/thomas-callister/o3a-spin-studies/-/blob/master/Postprocessing/Spin-PPDs-and-PPCs.ipynb
* https://git.ligo.org/thomas-callister/o3a-spin-studies/-/blob/master/Postprocessing/package-samples.ipynb

##### Reading data

Data can be accessed as follows:
```python
>>> import json
>>> with open("Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppd-data.json","r") as jf:
...     data = json.load(jf)
... 
>>> data.keys()
[u'chi_eff_grid', u'pop_samples', u'chi_p_grid', u'chi_eff_pdfs', u'chi_p_pdfs']
```
`data['chi_eff_grid']` and `data['chi_p_grid']` contain 1D grids (of length `M`) of effective spins on which probability distributions are defined. `data['chi_eff_pdfs']` and `data['chi_p_pdfs']`, meanwhile, are 2D arrays (length `NxM`) containing an ensemble of probability densities for the effective spin parameters, each corresponding to a different draw from the `Gaussian` posterior.

Data for the `Default` model is accessed analogously.
